<?php
/**
 * Syncroton
 *
 * @package     Wbxml
 * @subpackage  Wbxml
 * @license     http://www.tine20.org/licenses/lgpl.html LGPL Version 3
 * @copyright   Copyright (c) 2008-2009 Metaways Infosystems GmbH (http://www.metaways.de)
 * @author      Lars Kneschke <l.kneschke@metaways.de>
 * @version     $Id:Factory.php 4968 2008-10-17 09:09:33Z l.kneschke@metaways.de $
 */

/**
 * class documentation
 *
 * @package     Wbxml
 * @subpackage  Wbxml
 */
class Syncroton_Wbxml_Dtd_Factory
{
    public const ACTIVESYNC = 'AirSync';
    public const SYNCML = 'SyncML';

    /**
     * factory function to return a selected contacts backend class
     *
     * @param string $type
     * @return Syncroton_Wbxml_Dtd_ActiveSync
     */
    public static function factory($type)
    {
        switch ($type) {
            case self::ACTIVESYNC:
                $instance = new Syncroton_Wbxml_Dtd_ActiveSync();
                break;

            default:
                throw new Syncroton_Wbxml_Exception('unsupported DTD: ' . $type);
        }

        return $instance;
    }
}
